/* OVERALL NAVIGATION */
/**********************************************/
:root {

    --nav-button-width: 10rem;
}

#site-navigation {
    position: fixed;
    z-index: 800;
}

#menu-toggle-button {
    position: fixed;
    z-index: 122990;
    top: 1rem; right: 2rem;
    bottom: unset; left: unset;

    display: block;
    background-color: rgb(13, 33, 42);

    width: var(--nav-button-width);
    height: calc(var(--nav-button-width) * 0.51);
    border-radius: .2rem;
    cursor: pointer;
    box-shadow: 0px 4px 5px -2px #00413955;
    border-bottom: 3px solid #1d1d1d;
    outline: 1px solid #ddd;

    &:hover {
        background-color: rgb(44, 44, 44);
    }

    &:active {
        background-color: rgb(24, 1, 16);
    }
}

#menu-modal-group {

    display: none;
    position: fixed;
    top: 0; right: 0;
    width: 100%;
    height: 100%;
    background-color: #01100efe;
    mix-blend-mode: normal;
    z-index: 900;

    overflow-y: scroll;
}

.menu-module {

    position: relative;
    width: 100%;
    margin: 0 auto 5rem auto;
    flex: auto 1 1;
    /* border: 1px solid red; */
    color: aliceblue;
    font-size: 2em;
    padding: 1rem;
}

.menu-text {

    font-family: 'Red Hat Display', sans-serif;
    font-size: 4rem;
    line-height: 125%;
}

#menu_avatar {

    position: fixed;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;

    background-color: rgb(30, 32, 32);
}

#menu_header {

    height: 30%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    letter-spacing: -3%;
}

#menu_information {

    position: relative;

}

#namelpate {

    font-size: 14rem;
    font-family: argent-cf, serif;
    line-height: 80%;
    height: auto;
    flex: 1fr 2 2;
    margin: 2rem 0;
    margin-bottom: 5rem;

    &:hover {

        color: rgb(255, 168, 134);
        cursor: all-scroll;
    }
}

#contact-box {

    width: 100%;
    height: auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
   
    margin: 5rem 0;
    align-items: center;
    background-color: rgb(39, 37, 35);

    & #at-me {

        height: auto;
        flex-grow: 4;
        margin: 2rem 1rem 2rem 0;
    }

    & .contact-link-list {

        position: relative;
        display: flex;
        flex-flow: row wrap;
        justify-content: flex-end;
        height: auto;
        width: auto;
        flex: 2fr 2 1;
        margin: 2rem 0;
        gap: 0.1rem;
        
        & li {
            height: auto;
            margin: 1rem 0 1rem 1rem;
        }

        & li a {
            padding: .2rem;
            font-family: articulat-cf;
            text-transform: uppercase;
            letter-spacing: 2%;
            font-size: 0.5em;
            font-weight: 200;

            &:hover {
                background-color: rgb(153, 153, 153);
                color:rgb(24, 1, 16);
            }
        }

        & span {
            outline: 1px solid white;
            border-radius: 0.2rem;
            padding: 0.2rem 3rem;
        }
    }

}

#menu_portfolio {

    position: relative;
    min-height: 50%;
}

#menu-portfolio-list {

    position: relative;

    & .portfolio_item {

        height: 20rem;
        background-color: rgb(21, 21, 21);
        margin: 1rem 0;
    }

}

.project-link {

    display: block;
    position: relative;
    width: 100%;
    height: 100%;
    padding: 1rem;

    font-size: 0.5rem;

    & .project_brand {

        font-size: 8em;
        font-family: argent-cf, serif;
        line-height: 100%;
        margin-bottom: 1rem;
        letter-spacing: 1%;
        font-weight: 100;
    }

    & .project_title {

        font-size: 5em;
        font-family: 'Red Hat Display', sans-serif;
        line-height: 70%;
        margin-bottom: 1rem;
        letter-spacing: -3%;
        font-weight: 400;
    }

    &:hover {

        background-color: rgb(34, 35, 30);
    }
}


#menu_footer {

    min-height: 10%;
}


/* SPECIFIC OPEN/CLOSE STATES */

/* navigation when modal menu is CLOSED */
#site-navigation.modal-closed {

    & #menu-modal-group {

        display: none;
    }
    & #menu-toggle-button {
        
        display: block;
    }
}

/* navigation when modal menu is OPEN */
#site-navigation.modal-open {

    & #menu-modal-group {

        display: flex;
        flex-flow: row wrap;
    }
    & #menu-toggle-button {

        display: block;
    }
}



/* MEDIA QUERIES */

@media screen and (max-width:600px){
    
    nav #menu-toggle-button {

        top: unset; right: 1rem;
        bottom: 1rem; left: unset;
    }

    .menu-text {

        font-size: 2rem;
        line-height: 130%;
    }

    #contact-box {

        align-items: flex-start;
    }
}

@media screen and (min-width:1360px){
    
    .menu-text {

        font-weight: 700;
        font-size: 9rem;
        line-height: 120%;
    }
}
